package com.example;

import android.content.Context;
import io.dcloud.feature.uniapp.common.UniModule;
import io.dcloud.feature.uniapp.annotation.UniJSMethod;
import android.widget.Toast;
import com.gprinter.command.GpCom;
import com.gprinter.io.GpDevice;

public class PrintPlugin extends UniModule {
    private GpDevice printer;

    @UniJSMethod(uiThread = true)
    public void initPrinter(String ipAddress) {
        try {
            printer = new GpDevice(getContext(), ipAddress);
            printer.connect();
            Toast.makeText(getContext(), "打印机连接成功", Toast.LENGTH_SHORT).show();
        } catch (Exception e) {
            Toast.makeText(getContext(), "打印机连接失败", Toast.LENGTH_SHORT).show();
        }
    }

    @UniJSMethod(uiThread = true)
    public void printData(String data) {
        try {
            GpCom.ERROR_CODE result = printer.sendEscCommand(data);
            if (result == GpCom.ERROR_CODE.SUCCESS) {
                Toast.makeText(getContext(), "打印成功", Toast.LENGTH_SHORT).show();
            } else {
                Toast.makeText(getContext(), "打印失败", Toast.LENGTH_SHORT).show();
            }
        } catch (Exception e) {
            Toast.makeText(getContext(), "打印失败", Toast.LENGTH_SHORT).show();
        }
    }
}
